Subject: [bug#42752] [PATCH core-updates] gnu: bash: Make completions work in non-login shells.

From: Maxim Cournoyer <[email-masked]>
Date: Sat, 21 Oct 2023 15:24:02 -0400

Hi,

Mathieu Othacehe <[email-masked]> writes:

> Hello,
>
>> Oh! It seems I overwrote it with my own .bashrc when I migrated my
>> dotfiles. I still think this patch is a good idea - I think we should
>> make /etc/skel/.bashrc contain only nice-to-have defaults, such as
>> changing the prompt based on $GUIX_ENVIRONMENT, and move the essential
>> things to /etc/bashrc. That way, overwriting the .bashrc won't break
>> anything important.
>>
>> I guess I should follow this patch up with an adjustment to
>> /etc/skel/.bashrc, removing the 'source /etc/bashrc' line?
>
> That would make sense. Maybe you could replace the sourcing by a comment
> explaining how bash behaviour is altered to source /etc/bashrc for
> interactive, non-login shell.

I somewhat weary of the undefined behavior this could have on foreign
distributions?

I'll close this, but feel free to continue discussing it here.

-- 
Thanks,
Maxim